{
  "format_version": "1.21.40",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "mnp_ci:mnp/ci/coral/coral_single"
    },
    "enforce_placement_rules": true,
    "randomize_rotation": true,
    "enforce_survivability_rules": true,
    "places_block": [
      {
        "block": "mnp_ci:coral_0",
        "weight": 1
      },
      {
        "block": "mnp_ci:coral_1",
        "weight": 1
      },
      {
        "block": "mnp_ci:coral_2",
        "weight": 1
      },
      {
        "block": "mnp_ci:coral_3",
        "weight": 1
      },
      {
        "block": "mnp_ci:coral_4",
        "weight": 1
      }
    ],
    "may_attach_to": {
      "bottom": [
        "minecraft:sand"
      ]
    },
    "may_replace": [
      "minecraft:water"
    ]
  }
}